Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister Class Reference
Inheritance diagram for eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister:

## Public Member Functions
| __construct (HandlerFactory $metadataHandlerFactory, HandlerFactory $binarydataHandlerFactory, LoggerInterface $logger=null, Iterator $imageFileList, VariationPathGenerator $variationPathGenerator, FilterConfiguration $filterConfiguration, $imagesDir)
| countFiles ()
| Count the number of existing files. More...
| loadMetadataList ($limit=null, $offset=null)
| Loads and returns metadata for files, optionally limited by $limit and $offset. More...
Public Member Functions inherited from eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler
| __construct (HandlerFactory $metadataHandlerFactory, HandlerFactory $binarydataHandlerFactory, LoggerInterface $logger=null)
| setIODataHandlersByIdentifiers ( $fromMetadataHandlerIdentifier, $fromBinarydataHandlerIdentifier, $toMetadataHandlerIdentifier, $toBinarydataHandlerIdentifier)
| Set the from/to handlers based on identifiers. More...

## Private Attributes
| $imageFileList
| $variationPathGenerator
| $filterConfiguration
| $imagesDir

## Additional Inherited Members
Protected Member Functions inherited from eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler
| logError ($message)
| logInfo ($message)
| logMissingFile ($id)
Protected Attributes inherited from eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler
| $fromMetadataHandler
| $fromBinarydataHandler
| $toMetadataHandler
| $toBinarydataHandler

## Detailed Description

Definition at line 20 of file ImageFileLister.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::__construct | ( | HandlerFactory | $metadataHandlerFactory,
|  | HandlerFactory | $binarydataHandlerFactory,
|  | LoggerInterface | $logger = `null`,
|  | Iterator | $imageFileList,
|  | VariationPathGenerator | $variationPathGenerator,
|  | FilterConfiguration | $filterConfiguration,
|  |  | $imagesDir
| ) |  |

Parameters

  \eZ\Bundle\EzPublishIOBundle\ApiLoader\HandlerFactory | $metadataHandlerFactory |
  \eZ\Bundle\EzPublishIOBundle\ApiLoader\HandlerFactory | $binarydataHandlerFactory |
  \Psr\Log\LoggerInterface | $logger |
  \Iterator | $imageFileList |

Definition at line 43 of file ImageFileLister.php.

References eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\$binarydataHandlerFactory, eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\$filterConfiguration, eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\$imageFileList, eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\$imagesDir, eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\$logger, eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\$metadataHandlerFactory, and eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\$variationPathGenerator.

## Member Function Documentation

## ◆ countFiles()

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::countFiles | ( |  | ) |

Count the number of existing files.

Returns
  int|null Number of files, or null if they cannot be counted

Implements eZ\Bundle\EzPublishIOBundle\Migration\FileListerInterface.

Definition at line 62 of file ImageFileLister.php.

## ◆ loadMetadataList()

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::loadMetadataList | ( |  | $limit = `null`,
|  |  | $offset = `null`
| ) |  |

Loads and returns metadata for files, optionally limited by $limit and $offset.

Parameters

  int | null | $limit | The number of files to load data for, or null
  int | null | $offset | The offset used when loading in batches, or null

Returns
  BinaryFile[]

Implements eZ\Bundle\EzPublishIOBundle\Migration\FileListerInterface.

Definition at line 67 of file ImageFileLister.php.

References eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\logMissingFile().

## Member Data Documentation

## ◆ $filterConfiguration

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::$filterConfiguration
| private

Definition at line 29 of file ImageFileLister.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

## ◆ $imageFileList

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::$imageFileList
| private

Definition at line 23 of file ImageFileLister.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

## ◆ $imagesDir

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::$imagesDir
| private

Definition at line 32 of file ImageFileLister.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

## ◆ $variationPathGenerator

eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister::$variationPathGenerator
| private

Definition at line 26 of file ImageFileLister.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

The documentation for this class was generated from the following file:

- ImageFileLister.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.